Servers - List Operation Statuses
List the status of operation.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.AnalysisServices/locations/{location}/operationstatuses/{operationId}?api-version=2017-08-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
The region name which the operation will lookup into. |
|
operation
|
path | True |
string |
The target operation Id. |
|
subscription
|
path | True |
string |
A unique identifier for a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
The client API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. The operation completed. |
|
| 202 Accepted |
Accepted. The operation is ongoing. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get details of a server
Sample request
GET https://management.azure.com/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/providers/Microsoft.AnalysisServices/locations/West US/operationstatuses/testoperationid?api-version=2017-08-01
Sample response
{
"id": "/subscriptions/id/locations/westus/operationstatuses/testoperationid",
"name": "testoperationid",
"startTime": "2017-01-01T13:13:13.933Z",
"endTime": "2017-01-01T16:13:13.933Z",
"status": "Succeeded"
}
{
"id": "/subscriptions/id/locations/westus/operationstatuses/testoperationid",
"name": "testoperationid",
"startTime": "2017-01-01T13:13:13.933Z",
"status": "Running"
}
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Describes the format of Error response. |
|
Operation |
The status of operation. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| httpStatusCode |
integer (int32) |
The http status code |
| message |
string |
The error message. |
| subCode |
integer (int32) |
The error sub code |
| target |
string |
The error target. |
| timeStamp |
string |
the timestamp for the error. |
ErrorResponse
Describes the format of Error response.
| Name | Type | Description |
|---|---|---|
| error |
The error object |
OperationStatus
The status of operation.
| Name | Type | Description |
|---|---|---|
| endTime |
string |
The end time of the operation. |
| error |
The error detail of the operation if any. |
|
| id |
string |
The operation Id. |
| name |
string |
The operation name. |
| startTime |
string |
The start time of the operation. |
| status |
string |
The status of the operation. |